Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          vrms-rpm
Version:       2.2
Release:       alt2_8
Summary:       Report non-free software
License:       GPLv3

BuildRequires: gcc
BuildRequires: gettext-tools libasprintf-devel

%global githubowner suve
%global gittag0 release-%{version}
URL:           https://github.com/%{githubowner}/%{name}
Source0:       https://github.com/%{githubowner}/%{name}/archive/%{gittag0}/%{name}-%{gittag0}.tar.gz
Source44: import.info


%description
vrms-rpm ("virtual Richard M. Stallman") reports non-free packages
installed on the system.

%prep
%setup -q -n %{name}-%{gittag0}


%build

make build PREFIX=%{_prefix} DEFAULT_LICENCE_LIST=tweaked %{?_smp_mflags}

%install
%makeinstall_std PREFIX=%{_prefix}
%find_lang %{name} --with-man

%files -f %{name}.lang
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/suve/
%{_datadir}/bash-completion/completions/%{name}
%doc --no-dereference LICENCE.txt

%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.2-alt2_8
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.2-alt2_7
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.2-alt2_6
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.2-alt2_5
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.2-alt2_4
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.2-alt2_3
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1_3
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.1-alt1_2
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 2.1-alt1_1
- new version

